Bug 609518 - Review Request: ghc-glib - Haskell GLib binding
Review Request: ghc-glib - Haskell GLib binding
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
ready
:
Depends On: 609506
Blocks: ghc-pango
  Show dependency treegraph
 
Reported: 2010-06-30 09:29 EDT by Jens Petersen
Modified: 2010-11-11 10:52 EST (History)
4 users (show)

See Also:
Fixed In Version: ghc-glib-0.11.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-01 22:25:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mathstuf: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-06-30 09:29:57 EDT
Spec URL: http://petersen.fedorapeople.org/ghc-glib/ghc-glib.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-glib/ghc-glib-0.11.0-1.fc12.src.rpm
Description: 
The GNU Library is a collection of C data structures and
utility functions for dealing with Unicode.
This package only binds as much functionality as required
to support the packages that wrap libraries that are themselves
based on GLib.

http://hackage.haskell.org/package/glib
Comment 1 Jens Petersen 2010-06-30 09:31:31 EDT
First of the new packages that replace ghc-gtk2hs.
Comment 3 Ben Boeckel 2010-08-31 22:56:21 EDT
[OK] MUST: rpmlint must be run on every package. The output should be posted in the review.

% lintmock fedora-14-x86_64-bb
ghc-glib.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-glib.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-glib-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-glib-prof.x86_64: E: devel-dependency ghc-glib-devel
ghc-glib-prof.x86_64: W: no-documentation
ghc-glib-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/glib-0.11.1/libHSglib-0.11.1_p.a
4 packages and 0 specfiles checked; 1 errors, 5 warnings.

[OK] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[OK] MUST: The License field in the package spec file must match the actual license.
[OK] MUST: The package must meet the  Packaging Guidelines.
[OK] MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines . 
[OK] MUST: The License field in the package spec file must match the actual license.
[OK] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The package <b>MUST</b> successfully compile and build into binary rpms on at least one primary architecture.
[OK] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[OK] MUST: The spec file MUST handle locales properly. This is done by using the <code>%find_lang</code> macro. Using <code>%{_datadir}/locale/*</code> is strictly forbidden.
[OK] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in <code>%post</code> and <code>%postun</code>.
[OK] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[OK] MUST: A Fedora package must not list a file more than once in the spec file's&nbsp;%files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every <code>%files</code> section must include a <code>%defattr(...)</code> line.
[OK] MUST: Each package must have a&nbsp;%clean section, which contains <code>rm -rf&nbsp;%{buildroot}</code> (<a href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags" title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[OK] MUST: If a package includes something as&nbsp;%doc, it must not affect the runtime of the application. To summarize: If it is in&nbsp;%doc, the program must run properly if it is not present.
[OK] MUST: Header files must be in a -devel package.
[OK] MUST: Static libraries must be in a -static package.
[OK] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[OK] MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[OK] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: <code>Requires:&nbsp;%{name} =&nbsp;%{version}-%{release} </code>
[OK] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[OK] MUST: Packages containing GUI applications must include a&nbsp;%{name}.desktop file, and that file must be properly installed with desktop-file-install in the&nbsp;%install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the <code>filesystem</code> or <code>man</code> package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[OK] MUST: At the beginning of <code>%install</code>, each package MUST run <code>rm -rf&nbsp;%{buildroot}</code> (<a href="/wiki/Packaging/Guidelines#UsingBuildRootOptFlags" title="Packaging/Guidelines" class="mw-redirect">or $RPM_BUILD_ROOT</a>).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[OK] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[--] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[OK] SHOULD: The reviewer should test that the package builds in mock.
[OK] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[OK] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[OK] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[OK] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[OK] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg.  A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[OK] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

Looks good to me.

APPROVED.
Comment 4 Ben Boeckel 2010-08-31 22:56:41 EDT
Oops, forgot to assign the bug.
Comment 5 Ben Boeckel 2010-08-31 23:35:57 EDT
And the flag...
Comment 6 Jens Petersen 2010-08-31 23:58:23 EDT
Thanks for reviewing. :)


New Package SCM Request
=======================
Package Name: ghc-glib
Short Description: Haskell binding for glib2
Owners: petersen
Branches: f14
InitialCC: haskell-sig
Comment 7 Kevin Fenzi 2010-09-01 15:29:42 EDT
Git done (by process-git-requests).
Comment 9 Jens Petersen 2010-09-01 21:14:05 EDT
Another f15 build succeeded.
Comment 10 Fedora Update System 2010-09-01 21:15:18 EDT
ghc-glib-0.11.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-glib-0.11.1-1.fc14
Comment 11 Fedora Update System 2010-09-10 23:43:50 EDT
ghc-glib-0.11.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Jens Petersen 2010-11-10 02:46:12 EST
Package Change Request
======================
Package Name: ghc-glib
New Branches: f13 el6
Owners: petersen
InitialCC: haskell-sig
Comment 13 Jason Tibbitts 2010-11-11 10:52:37 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.